FLANG

Classes | Public Member Functions | Public Attributes | List of all members
Fortran::parser::IoControlSpec Struct Reference

## Classes
struct | CharExpr

## Public Member Functions
| UNION_CLASS_BOILERPLATE (IoControlSpec)
| WRAPPER_CLASS (Asynchronous, ScalarDefaultCharConstantExpr)
| WRAPPER_CLASS (Pos, ScalarIntExpr)
| WRAPPER_CLASS (Rec, ScalarIntExpr)
| WRAPPER_CLASS (Size, ScalarIntVariable)

## Public Attributes
std::variant< IoUnit, Format, Name, CharExpr, Asynchronous, EndLabel, EorLabel, ErrLabel, IdVariable, MsgVariable, StatVariable, Pos, Rec, Size > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h